> ## Documentation Index
> Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_getBalance on Robinhood Chain

> eth_getBalance returns the native token balance of an address at a given block on Robinhood Chain, via GoldRush JSON-RPC.

> [card] 0.01 credits per call

`eth_getBalance` on **Robinhood Chain**: Returns the native token balance of an address at a given block.

## Endpoint

```
https://rpc.goldrushdata.com/v1/robinhood-mainnet
```

Authenticate with `Authorization: Bearer <GOLDRUSH_API_KEY>`. See [authentication](https://goldrush.dev/docs/goldrush-json-rpc/authentication.md).

## Parameters

| Name | Type | Required | Description | Example |
| - | - | - | - | - |
| `address` | `DATA, 20 bytes` | yes | Address to check the balance of. | `"0xd8da6bf26964af9d7eed9e03e53415d37aa96045"` |
| `blockTag` | `QUANTITY \| TAG` | yes | Block number (hex), or `latest`, `earliest`, `pending`, `safe`, `finalized`. | `"latest"` |

## Returns

`QUANTITY`: Hex-encoded balance in wei.

```json theme={null}
"0x1bc16d674ec80000"
```

## Examples

```bash curl theme={null}
curl https://rpc.goldrushdata.com/v1/robinhood-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "eth_getBalance",
    "params": ["0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "latest"]
  }'
```

```typescript ethers v6 theme={null}
import { ethers } from "ethers";

const url = "https://rpc.goldrushdata.com/v1/robinhood-mainnet";
const fetchReq = new ethers.FetchRequest(url);
fetchReq.setHeader("Authorization", `Bearer ${process.env.GOLDRUSH_API_KEY}`);

const provider = new ethers.JsonRpcProvider(fetchReq);
const result = await provider.send("eth_getBalance", ["0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "latest"]);
console.log(result);
```

```typescript viem theme={null}
import { createPublicClient, http } from "viem";

const client = createPublicClient({
  transport: http("https://rpc.goldrushdata.com/v1/robinhood-mainnet", {
    fetchOptions: {
      headers: {
        Authorization: `Bearer ${process.env.GOLDRUSH_API_KEY}`,
      },
    },
  }),
});

const result = await client.request({
  method: "eth_getBalance",
  params: ["0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "latest"],
});
console.log(result);
```

```javascript web3.js theme={null}
import { Web3 } from "web3";

const provider = new Web3.providers.HttpProvider(
  "https://rpc.goldrushdata.com/v1/robinhood-mainnet",
  {
    headers: [
      { name: "Authorization", value: `Bearer ${process.env.GOLDRUSH_API_KEY}` },
    ],
  }
);
const web3 = new Web3(provider);

const result = await web3.currentProvider.request({
  method: "eth_getBalance",
  params: ["0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "latest"],
});
console.log(result);
```

```python web3.py theme={null}
from os import environ
from web3 import Web3

w3 = Web3(Web3.HTTPProvider(
    "https://rpc.goldrushdata.com/v1/robinhood-mainnet",
    request_kwargs={
        "headers": {
            "Authorization": f"Bearer {environ['GOLDRUSH_API_KEY']}",
        },
    },
))
result = w3.manager.request_blocking("eth_getBalance", ["0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "latest"])
print(result)
```

## Errors

| Code | Message |
| - | - |
| `-32602` | Invalid params (e.g. malformed address). |

Plus standard JSON-RPC errors: `-32600` invalid request, `-32601` method not found, `-32602` invalid params.

## Related Accounts info methods on Robinhood Chain

* [`eth_getCode` on Robinhood Chain](https://goldrush.dev/docs/api-reference/json-rpc/robinhood/eth-getcode)
* [`eth_getStorageAt` on Robinhood Chain](https://goldrush.dev/docs/api-reference/json-rpc/robinhood/eth-getstorageat)
* [`eth_accounts` on Robinhood Chain](https://goldrush.dev/docs/api-reference/json-rpc/robinhood/eth-accounts)
* [`eth_getProof` on Robinhood Chain](https://goldrush.dev/docs/api-reference/json-rpc/robinhood/eth-getproof)

## Also available on

* [`eth_getBalance` on Ethereum](https://goldrush.dev/docs/api-reference/json-rpc/ethereum/eth-getbalance)
* [`eth_getBalance` on Polygon](https://goldrush.dev/docs/api-reference/json-rpc/polygon/eth-getbalance)
* [`eth_getBalance` on BNB Smart Chain (BSC)](https://goldrush.dev/docs/api-reference/json-rpc/bsc/eth-getbalance)
* [`eth_getBalance` on Arbitrum](https://goldrush.dev/docs/api-reference/json-rpc/arbitrum/eth-getbalance)
* [`eth_getBalance` on Base](https://goldrush.dev/docs/api-reference/json-rpc/base/eth-getbalance)
* [`eth_getBalance` on HyperEVM](https://goldrush.dev/docs/api-reference/json-rpc/hyperevm/eth-getbalance)
* [`eth_getBalance` on MegaETH](https://goldrush.dev/docs/api-reference/json-rpc/megaeth/eth-getbalance)
* [`eth_getBalance` on Monad](https://goldrush.dev/docs/api-reference/json-rpc/monad/eth-getbalance)
* [`eth_getBalance` on Tempo](https://goldrush.dev/docs/api-reference/json-rpc/tempo/eth-getbalance)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.